Entrar

Atualizar configuracao

PUT https://{organization}.myguper.com/api/register/tier/config/{id}

Atualiza uma configuração de tier existente. Apenas os campos enviados no body são alterados; arrays de levels/sources são substituídos por inteiro.

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Parâmetros do caminho

Name Type Description
id * integer ID interno da configuração de tier a atualizar.

Corpo da requisição

Content-Type: application/json

{
    "name": "Programa Guper 2026",                              // optional
    "levels": "<levels>",                                       // optional
    "sources": "<sources>",                                     // optional
    "isActive": false,                                          // optional
    "autoEnrollOnOptIn": true                                   // optional
}

Respostas

{ "affectedRows": 1 }
Copied to clipboard